Subject: [Rsvp] Questions about RSVP RFC

From: "tzehlin" <[email-masked]>
Date: Mon, 16 Dec 2002 11:35:42 +0800

Hi all,

I have been reading [RFC 2205] recently and have come
up with some doubts.

1) [RFC 2205] basically assumes multicast environment,
    at least for figure 5, 6, 7 (WF, FF, SE Reservation Examples)
    in section 1.4?

2) RSVP is receiver-oriented. However, in section 2.10 Host Model,
    the events to happen during setting up an RSVP session are:

    H1    A receiver joins the multicast group specified by DestAddress,
              using IGMP.
    H2    A potential sender starts sending RSVP Path messages to
              the DestAddress.
    H3    A receiver application receives a Path message.
    H4    A receiver starts sending appropriate Resv messages, specifying
               the desired flow descriptors.
    H5    A sender application receives a Resv message.
    H6    A sender starts sending data packets.

    I think this is obviously a multicast case according to H1. Since a
    Path message is received by a receiver before the receiver sends a
    Resv message, is there any conflict with the idea "receiver-oriented" or
    "receiver-initiated?"

I may have misunderstanding for the RFC in both of my questions. So
any help is appreciated.

Regards,

tzehlin

_______________________________________________
Rsvp mailing list
[email-masked]
http://mailman.isi.edu/mailman/listinfo/rsvp